#!/bin/sh

# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
# details.

readonly BINS="
"

main()
{
	for bin in $BINS
	do
		[ -x "$bin" ] || continue

		# TODO: exec "$bin" "$@"
	done

	printf "No underlying executable found for %s:\n" "${0##*/}" >&2

	for bin in $BINS
	do
		printf "\t%s\n" "$bin" >&2
	done
}

main "$@"
